OfonoMessage Class Reference

This class is used to access oFono message API. More...

`#include <ofonomessage.h>`

Inheritance diagram for OfonoMessage:

## Signals

void | stateChanged (const QString &state)

## Public Member Functions

| OfonoMessage (const QString &messageId, QObject *parent=0)
| OfonoMessage (const OfonoMessage &message)
OfonoMessage | operator= (const OfonoMessage &message)
bool | operator== (const OfonoMessage &message)
QString | path () const
| Returns the D-Bus object path of the message object.
QString | errorName () const
| Get the D-Bus error name of the last operation.
QString | errorMessage () const
| Get the D-Bus error message of the last operation.
QString | state () const

## Properties

QString | path
QString | errorName
QString | errorMessage
QString | state

## Detailed Description

This class is used to access oFono message API.

oFono message API is documented in http://git.kernel.org/?p=network/ofono/ofono.git;a=blob_plain;f=doc/message-api.txt

## Member Function Documentation

## errorMessage()

QString OfonoMessage::errorMessage | ( |  | ) | const

Get the D-Bus error message of the last operation.

Returns the D-Bus error message of the last operation (setting a property or calling a method) if it has failed

## errorName()

QString OfonoMessage::errorName | ( |  | ) | const

Get the D-Bus error name of the last operation.

Returns the D-Bus error name of the last operation (setting a property or calling a method) if it has failed

The documentation for this class was generated from the following file:

- lib/ofonomessage.h